- name: Checking Intra-VLAN connectivity over EVPN
  ansible.builtin.shell: "ping -c 3 10.1.10.104"
  register: server04
  changed_when: False
  ignore_errors: yes

- name: Fail if there's no ping
  ansible.builtin.fail:
    msg: Cannot reach server04
  when: server04.rc > 0

- name: Print confirmation
  ansible.builtin.debug:
    msg: Succesfully resolved fault 2